Bug 913289 - Review Request: gimp-separate+ - A plug-in providing rudimentary CMYK support for The GIMP
Review Request: gimp-separate+ - A plug-in providing rudimentary CMYK support...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Luya Tshimbalanga
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DESIGN-SW
  Show dependency treegraph
 
Reported: 2013-02-20 15:41 EST by Peter Hanecak
Modified: 2013-12-22 22:51 EST (History)
10 users (show)

See Also:
Fixed In Version: gimp-separate+-0.5.8-10.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-01 17:23:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
profile selection: sRGB.icc (49.52 KB, image/png)
2013-08-27 16:45 EDT, Peter Hanecak
no flags Details
profile selection: sRGB_type2.icc (49.67 KB, image/png)
2013-08-27 16:46 EDT, Peter Hanecak
no flags Details

  None (edit)
Description Peter Hanecak 2013-02-20 15:41:12 EST
Spec URL: http://hany.sk/~hany/_data/fedoraproject/gimp-separate+.spec
SRPM URL: http://hany.sk/~hany/_data/fedoraproject/gimp-separate+-0.5.8-1.fc18.src.rpm
Description: Separate+ is a GIMP plug-in that convert an RGB image to CMYK format.
Fedora Account System Username: hanecak

This is my first package and I'm seeking sponsor.

I've been asked by Luya Tshimbalanga <luya@fedoraproject.org> to maintain the package for official Fedora project so that it can be included in Design Suite Livemedia.
Comment 1 Antonio Trande 2013-02-21 09:39:44 EST
Hi Peter.
Just few comment.

- There are more licenses in the source:

$ licensecheck * | grep -v UNKNOWN
import.c: GPL (v2 or later) (with incorrect FSF address)
jpeg.c: GPL (v2 or later) (with incorrect FSF address)
jpeg.h: GPL (v2 or later) (with incorrect FSF address)
psd.c: GPL (v2 or later) (with incorrect FSF address)
psd.h: GPL (v2 or later) (with incorrect FSF address)
separate-core.c: GPL (v2 or later) (with incorrect FSF address)
separate-core.h: GPL (v2 or later) (with incorrect FSF address)
separate-export.c: GPL (v2 or later) (with incorrect FSF address)
separate-export.h: GPL (v2 or later) (with incorrect FSF address)
separate-gui.c: GPL (v2 or later) (with incorrect FSF address)
separate.h: GPL (v2 or later) (with incorrect FSF address)
srgb_profile.h: MIT/X11 (BSD like)
tiff.c: GPL (v2 or later) (with incorrect FSF address)
tiff.h: GPL (v2 or later) (with incorrect FSF address)
util.c: GPL (v2 or later) (with incorrect FSF address)
util.h: GPL (v2 or later) (with incorrect FSF address)

I think, needs to indicate even the second:

License:       GPLv2+ and BSD

See: http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios

- Source link not found

- [ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

Why do you use this form ?

http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#Prepping_BuildRoot_For_.25install
Comment 2 Peter Hanecak 2013-02-21 15:38:09 EST
(In reply to comment #1)
> Hi Peter.
> Just few comment.
> 
> - There are more licenses in the source:
> 
> $ licensecheck * | grep -v UNKNOWN
...
> srgb_profile.h: MIT/X11 (BSD like)
...


Based on https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses ("MIT license (also X11)" -> "MIT") I've changed it to "GPLv2+ and MIT".


> - Source link not found


Fixed with URL to sourceforge.jp .

 
> - [ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
> 
> Why do you use this form ?
> 
> http://fedoraproject.org/wiki/EPEL/
> GuidelinesAndPolicies#Prepping_BuildRoot_For_.25install

It was a leftover from the original author of the spec. I've now replaced that with:

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%install
rm -rf %{buildroot}

%clean
rm -rf %{buildroot}


Updated package and spec can be found here:

http://hany.sk/~hany/_data/fedoraproject/gimp-separate+.spec
http://hany.sk/~hany/_data/fedoraproject/gimp-separate+-0.5.8-2.fc18.src.rpm
Comment 3 Luya Tshimbalanga 2013-02-23 18:26:54 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listsysted in the exceptions section of Packaging Guidelines.
[!]: Package contains no bundled libraries. sRGB.cc should not be bundled because colord already provides it. Perhaps addid colord-devel as build require?
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "MIT/X11 (BSD like)",
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/luya/Projects/fedora-package-review/913289-gimp-
     separate+/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[!]: Buildroot is not present
     Note: Multiple BuildRoot definitions found
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (separate+-0.5.8.zip)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define.
     Note: %define gimpver 2.8.0 %define _gimppluginsdir
     %{_libdir}/gimp/%{gimpver}/plug-ins

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: gimp-separate+-0.5.8-2.fc18.src.rpm
          gimp-separate+-debuginfo-0.5.8-2.fc18.x86_64.rpm
          gimp-separate+-0.5.8-2.fc18.x86_64.rpm
gimp-separate+.src:27: W: unversioned-explicit-provides gimp-cmyk
gimp-separate+.src:27: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 27)
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate-core.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate-gui.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate-export.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate-export.h
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/jpeg.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate.h
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/psd.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/util.h
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/import.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/util.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/tiff.c
gimp-separate+.x86_64: E: incorrect-fsf-address /usr/share/doc/gimp-separate+-0.5.8/COPYING
3 packages and 0 specfiles checked; 12 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gimp-separate+-debuginfo gimp-separate+
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate-core.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate-gui.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate-export.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate-export.h
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/jpeg.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate.h
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/psd.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/util.h
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/import.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/util.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/tiff.c
gimp-separate+.x86_64: E: incorrect-fsf-address /usr/share/doc/gimp-separate+-0.5.8/COPYING
2 packages and 0 specfiles checked; 12 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
gimp-separate+-debuginfo-0.5.8-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    

gimp-separate+-0.5.8-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    gimp >= 2.8.0
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgimp-2.0.so.0()(64bit)
    libgimpbase-2.0.so.0()(64bit)
    libgimpcolor-2.0.so.0()(64bit)
    libgimpconfig-2.0.so.0()(64bit)
    libgimpmath-2.0.so.0()(64bit)
    libgimpmodule-2.0.so.0()(64bit)
    libgimpui-2.0.so.0()(64bit)
    libgimpwidgets-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libjpeg.so.62()(64bit)
    libjpeg.so.62(LIBJPEG_6.2)(64bit)
    liblcms.so.1()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libtiff.so.5()(64bit)
    libtiff.so.5(LIBTIFF_4.0)(64bit)
    rtld(GNU_HASH)



Provides
--------
gimp-separate+-debuginfo-0.5.8-2.fc18.x86_64.rpm:
    
    gimp-separate+-debuginfo = 0.5.8-2.fc18
    gimp-separate+-debuginfo(x86-64) = 0.5.8-2.fc18

gimp-separate+-0.5.8-2.fc18.x86_64.rpm:
    
    gimp-cmyk
    gimp-separate+ = 0.5.8-2.fc18
    gimp-separate+(x86-64) = 0.5.8-2.fc18



MD5-sum check
-------------
http://iij.dl.sourceforge.jp/separate-plus/47873/separate+-0.5.8.zip :
  CHECKSUM(SHA256) this package     : 9e06b6d777d83439a122e7c13c08e725c49d23f62a09806c392b84948cefdf50
  CHECKSUM(SHA256) upstream package : 9e06b6d777d83439a122e7c13c08e725c49d23f62a09806c392b84948cefdf50


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 913289

From the license review:
GPL (v2 or later) (with incorrect FSF address)
----------------------------------------------
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/separate+-0.5.8/psd.c

MIT/X11 (BSD like)
------------------
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/separate+-0.5.8/srgb_profile.h

Unknown or generated
--------------------
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/separate+-0.5.8/iccclassicons.h

Could you check which licnese iccclassicons.h use?
Comment 4 Luya Tshimbalanga 2013-02-23 18:27:30 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listsysted in the exceptions section of Packaging Guidelines.
[!]: Package contains no bundled libraries. sRGB.cc should not be bundled because colord already provides it. Perhaps addid colord-devel as build require?
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "MIT/X11 (BSD like)",
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/luya/Projects/fedora-package-review/913289-gimp-
     separate+/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[!]: Buildroot is not present
     Note: Multiple BuildRoot definitions found
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (separate+-0.5.8.zip)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define.
     Note: %define gimpver 2.8.0 %define _gimppluginsdir
     %{_libdir}/gimp/%{gimpver}/plug-ins

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: gimp-separate+-0.5.8-2.fc18.src.rpm
          gimp-separate+-debuginfo-0.5.8-2.fc18.x86_64.rpm
          gimp-separate+-0.5.8-2.fc18.x86_64.rpm
gimp-separate+.src:27: W: unversioned-explicit-provides gimp-cmyk
gimp-separate+.src:27: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 27)
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate-core.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate-gui.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate-export.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate-export.h
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/jpeg.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate.h
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/psd.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/util.h
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/import.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/util.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/tiff.c
gimp-separate+.x86_64: E: incorrect-fsf-address /usr/share/doc/gimp-separate+-0.5.8/COPYING
3 packages and 0 specfiles checked; 12 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gimp-separate+-debuginfo gimp-separate+
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate-core.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate-gui.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate-export.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate-export.h
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/jpeg.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/separate.h
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/psd.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/util.h
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/import.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/util.c
gimp-separate+-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/separate+-0.5.8/tiff.c
gimp-separate+.x86_64: E: incorrect-fsf-address /usr/share/doc/gimp-separate+-0.5.8/COPYING
2 packages and 0 specfiles checked; 12 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
gimp-separate+-debuginfo-0.5.8-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    

gimp-separate+-0.5.8-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    gimp >= 2.8.0
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgimp-2.0.so.0()(64bit)
    libgimpbase-2.0.so.0()(64bit)
    libgimpcolor-2.0.so.0()(64bit)
    libgimpconfig-2.0.so.0()(64bit)
    libgimpmath-2.0.so.0()(64bit)
    libgimpmodule-2.0.so.0()(64bit)
    libgimpui-2.0.so.0()(64bit)
    libgimpwidgets-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libjpeg.so.62()(64bit)
    libjpeg.so.62(LIBJPEG_6.2)(64bit)
    liblcms.so.1()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libtiff.so.5()(64bit)
    libtiff.so.5(LIBTIFF_4.0)(64bit)
    rtld(GNU_HASH)



Provides
--------
gimp-separate+-debuginfo-0.5.8-2.fc18.x86_64.rpm:
    
    gimp-separate+-debuginfo = 0.5.8-2.fc18
    gimp-separate+-debuginfo(x86-64) = 0.5.8-2.fc18

gimp-separate+-0.5.8-2.fc18.x86_64.rpm:
    
    gimp-cmyk
    gimp-separate+ = 0.5.8-2.fc18
    gimp-separate+(x86-64) = 0.5.8-2.fc18



MD5-sum check
-------------
http://iij.dl.sourceforge.jp/separate-plus/47873/separate+-0.5.8.zip :
  CHECKSUM(SHA256) this package     : 9e06b6d777d83439a122e7c13c08e725c49d23f62a09806c392b84948cefdf50
  CHECKSUM(SHA256) upstream package : 9e06b6d777d83439a122e7c13c08e725c49d23f62a09806c392b84948cefdf50


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 913289

From the license review:
GPL (v2 or later) (with incorrect FSF address)
----------------------------------------------
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/separate+-0.5.8/psd.c

MIT/X11 (BSD like)
------------------
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/separate+-0.5.8/srgb_profile.h

Unknown or generated
--------------------
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/separate+-0.5.8/iccclassicons.h

Could you check which license iccclassicons.h use?
Comment 5 Luya Tshimbalanga 2013-03-14 13:24:24 EDT
Any update?
Comment 6 Peter Hanecak 2013-03-14 15:10:39 EDT
(In reply to comment #5)
> Any update?

Ill me + ill children => delay. Sorry. :/
Comment 7 Luya Tshimbalanga 2013-03-15 00:17:59 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > Any update?
> 
> Ill me + ill children => delay. Sorry. :/

It's okay, hope your family will get better and fully healthy. Cheers!
Comment 8 Peter Hanecak 2013-04-17 16:47:34 EDT
(In reply to comment #4)
> C/C++:
<shortened>
> Generic:
<shortened>
> [!]: Package contains no bundled libraries. sRGB.cc should not be bundled
> because colord already provides it. Perhaps addid colord-devel as build
> require?

I'm not able to find sRGB.cc in gimp-separate, nor in colord-devel. But, there is sRGB_type2.icc in gimp-separate+ and sRGB in colord, but those are different:

f152537f3d0aa328325a37f468f843ff46133c07  sRGB.icc
3eff12b5237bfaa6ca9d6dfada2dada8b632672a  sRGB_type2.icc

Can you please clarify?

<shortened>
> [!]: Buildroot is not present
>      Note: Multiple BuildRoot definitions found

Ops, typo. Sorry, duplicate entry removed.

> [!]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
>      Note: %clean present but not required

There is following in the SPEC:

%clean
rm -rf %{buildroot}

So I left it as it is in newr package.

<shortened>
> [!]: SourceX / PatchY prefixed with %{name}.
>      Note: Source0 (separate+-0.5.8.zip)

I'm not sure what to do with this one: package is named hopefully in line with what Fedora users would expect (gimp-<splugin name>) even though upstream is named differently (just <plugin name>). I can't rename upstream and I'm reluctant to rename the package.

<shortened>
> [!]: Spec use %global instead of %define.
>      Note: %define gimpver 2.8.0 %define _gimppluginsdir
>      %{_libdir}/gimp/%{gimpver}/plug-ins

Changed %define into %global .

<shortened>
> Unknown or generated
> --------------------
> /var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/separate+-0.5.8/
> iccclassicons.h
> 
> Could you check which license iccclassicons.h use?

I've tried to check with upstream (question sent on March 13th), no reply so far.

File contains following:

GdkPixbuf RGBA C-Source image dump 1-byte-run-length-encoded

Based on that I think the header file is generated using gdk-pixbuf-csource (http://www.gtk.org/api/2.6/gdk-pixbuf/gdk-pixbuf-csource.html or older version). Source icon image is nowhere to be found in the package.

Thus I think following section in README applies:

----- License
The plug-ins and scripts included in this package are licensed under the 
GNU General Public License version 2.

For more information, see COPYING.



Updated package and spec can be found here:

http://hany.sk/~hany/_data/fedoraproject/gimp-separate+.spec
http://hany.sk/~hany/_data/fedoraproject/gimp-separate+-0.5.8-3.fc18.src.rpm
Comment 9 Luya Tshimbalanga 2013-04-19 00:46:06 EDT
(In reply to comment #8)

> I'm not able to find sRGB.cc in gimp-separate, nor in colord-devel. But,
> there is sRGB_type2.icc in gimp-separate+ and sRGB in colord, but those are
> different:
> 
> f152537f3d0aa328325a37f468f843ff46133c07  sRGB.icc
> 3eff12b5237bfaa6ca9d6dfada2dada8b632672a  sRGB_type2.icc
> 
> Can you please clarify?

I checked other applications providing a different set of sRGC.icc. We can leave at it is for now.

> There is following in the SPEC:
> 
> %clean
> rm -rf %{buildroot}
> 
> So I left it as it is in newr package.
>

Ok.
 
> <shortened>
> > [!]: SourceX / PatchY prefixed with %{name}.
> >      Note: Source0 (separate+-0.5.8.zip)
> 
> I'm not sure what to do with this one: package is named hopefully in line
> with what Fedora users would expect (gimp-<splugin name>) even though
> upstream is named differently (just <plugin name>). I can't rename upstream
> and I'm reluctant to rename the package.

Fair enough because separate+ is a plugin for Gimp. The name of upstream can stay the same.
 
> <shortened>
> > Unknown or generated
> > --------------------
> > /var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/separate+-0.5.8/
> > iccclassicons.h
> > 
> > Could you check which license iccclassicons.h use?
> 
> I've tried to check with upstream (question sent on March 13th), no reply so
> far.
> 
> File contains following:
> 
> GdkPixbuf RGBA C-Source image dump 1-byte-run-length-encoded
> 
> Based on that I think the header file is generated using gdk-pixbuf-csource
> (http://www.gtk.org/api/2.6/gdk-pixbuf/gdk-pixbuf-csource.html or older
> version). Source icon image is nowhere to be found in the package.
> 
> Thus I think following section in README applies:
> 
> ----- License
> The plug-ins and scripts included in this package are licensed under the 
> GNU General Public License version 2.
> 
> For more information, see COPYING.
> 

I will post comment further when I reach my desktop.
Comment 10 Luya Tshimbalanga 2013-04-19 03:30:02 EDT
Further review:
]$ rpmlint Projects/fedora-package-review/913289-gimp-separate+/srpm/gimp-separate+-0.5.8-3.fc18.src.rpm 
gimp-separate+.src:27: W: unversioned-explicit-provides gimp-cmyk
gimp-separate+.src:27: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 27)
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

The spec file is fine but we will need check whethever GPL2+ is appropriate for iccclassicons.h.
You will need to find a sponsor by posting the request to the development mailing list.
Comment 11 Luya Tshimbalanga 2013-05-02 13:58:20 EDT
Any update?
Comment 12 Christopher Meng 2013-08-04 20:48:55 EDT
Hi reporter,

If you can't response in 15 days, I will close the ticket and resubmit it.

Thanks.
Comment 13 Peter Hanecak 2013-08-05 17:45:51 EDT
(In reply to Luya Tshimbalanga from comment #10)
> Further review:
> ]$ rpmlint
> Projects/fedora-package-review/913289-gimp-separate+/srpm/gimp-separate+-0.5.
> 8-3.fc18.src.rpm 
> gimp-separate+.src:27: W: unversioned-explicit-provides gimp-cmyk

I was not able to confirm whether adding version is the right thing. See for example https://bugzilla.redhat.com/show_bug.cgi?id=751119#c4 where same warning was left unadressed in subsequent 

> gimp-separate+.src:27: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab:
> line 27)
> 1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fixed.

> The spec file is fine but we will need check whethever GPL2+ is appropriate
> for iccclassicons.h.
> You will need to find a sponsor by posting the request to the development
> mailing list.

Updated package and spec can be found here:

http://hany.sk/~hany/_data/fedoraproject/gimp-separate+.spec
http://hany.sk/~hany/_data/fedoraproject/gimp-separate+-0.5.8-4.fc18.src.rpm

I've posted the request to the devel mailing list:

https://lists.fedoraproject.org/pipermail/devel/2013-August/187357.html
Comment 14 Peter Hanecak 2013-08-05 17:50:23 EDT
(Correcting unfinished sentence from comment #13)
> I was not able to confirm whether adding version is the right thing. See for
> example https://bugzilla.redhat.com/show_bug.cgi?id=751119#c4 where same
> warning was left unadressed in subsequent 

... process. Plus also distcc seems not to fix that. Is there a soft of FAQ where rmlint errors are mapped to suggested corrective action?
Comment 15 Michael Schwendt 2013-08-05 17:53:08 EDT
> unversioned-explicit-provides

This is the explanation from "rpmlint -I …":

| The specfile contains an unversioned Provides: token, which will
| match all older, equal, and newer versions of the provided thing.
| This may cause update problems and will make versioned dependencies,
| obsoletions and conflicts on the provided thing useless -- make the
| Provides versioned if possible.

> Provides:      gimp-cmyk

No comment on this inside the spec file is not good.
Comment 16 Michael Schwendt 2013-08-05 17:56:15 EDT
https://fedoraproject.org/wiki/Common_Rpmlint_issues
[ https://fedoraproject.org/wiki/Category:Package_Maintainers ]

That doesn't cover unversioned-explicit-provides though.
Comment 17 Peter Hanecak 2013-08-05 18:05:49 EDT
(In reply to Michael Schwendt from comment #15)
> > unversioned-explicit-provides
> 
> This is the explanation from "rpmlint -I …":
> 
> | The specfile contains an unversioned Provides: token, which will
> | match all older, equal, and newer versions of the provided thing.
> | This may cause update problems and will make versioned dependencies,
> | obsoletions and conflicts on the provided thing useless -- make the
> | Provides versioned if possible.
> 
> > Provides:      gimp-cmyk
> 
> No comment on this inside the spec file is not good.

Thanks for help. I've added version and release for the Provides:

Provides: gimp-cmyk = %{version}-%{release}

Updated package and spec can be found here:

http://hanecak.fedorapeople.org/gimp-separate+.spec
http://hanecak.fedorapeople.org/gimp-separate+-0.5.8-5.fc18.src.rpm
Comment 18 Christopher Meng 2013-08-05 20:58:55 EDT
I think you didn't want to support EL5, right?

Because as said in homepage:

"the GIMP 2.4 or later (2.2.x support was discontinued since 0.5.4)"


So please remove BuildRoot tag/%clean section/%defattr(-,root,root) in %files section/rm -rf %{buildroot} in %install section.

And install -D -m755 should be install -pDm755, as we need to preserve the timestamp.
Comment 19 Peter Hanecak 2013-08-06 16:25:11 EDT
(In reply to Christopher Meng from comment #18)
> I think you didn't want to support EL5, right?
> 
> Because as said in homepage:
> 
> "the GIMP 2.4 or later (2.2.x support was discontinued since 0.5.4)"
> 
> 
> So please remove BuildRoot tag/%clean section/%defattr(-,root,root) in
> %files section/rm -rf %{buildroot} in %install section.
> 
> And install -D -m755 should be install -pDm755, as we need to preserve the
> timestamp.

I did not give the GIMP 2.4 thing much thought. Thanks for spotting that.

EPEL stuff removed from the spec and some other mistakes spotted and fixed.

Updated package and spec can be found here:

http://hanecak.fedorapeople.org/gimp-separate+.spec
http://hanecak.fedorapeople.org/gimp-separate+-0.5.8-6.fc18.src.rpm
Comment 20 Christopher Meng 2013-08-06 23:16:03 EDT
Ok, I'll leave other issues to Luya, can he sponsor you?

Hope you can get sponsored soon and bring more gimp plugin into Fedora.

Cheers.
Comment 21 Luya Tshimbalanga 2013-08-07 00:02:59 EDT
Unfortunately I cannot sponsor Peter because I haven't submit my sponsorship position. Now you mention it, I am going to apply for it.
Comment 22 Matthias Runge 2013-08-19 07:36:50 EDT
Sadly, your package does not build on rawhide.

DEBUG util.py:264:   --> pango-devel-1.35.0-2.fc20.x86_64
DEBUG util.py:264:  Error: libpng12-devel conflicts with 2:libpng-devel-1.6.3-3.fc20.x86_64
DEBUG util.py:264:   You could try using --skip-broken to work around the problem
DEBUG util.py:264:   You could try running: rpm -Va --nofiles --nodigest
DEBUG util.py:354:  Child return code was: 1

And what's the status with sRGB.cc, which was reported as bundled lib?
Comment 23 Luya Tshimbalanga 2013-08-19 15:10:17 EDT
(In reply to Matthias Runge from comment #22)
> Sadly, your package does not build on rawhide.
> 
> DEBUG util.py:264:   --> pango-devel-1.35.0-2.fc20.x86_64
> DEBUG util.py:264:  Error: libpng12-devel conflicts with
> 2:libpng-devel-1.6.3-3.fc20.x86_64

It is a problem with rawhide itself rather than the package. I had similar issue with gdesklets.

> 
> And what's the status with sRGB.cc, which was reported as bundled lib?
To be fair with the submitter, it turned out other affected packages excluding colord have them:
- entangle
- moddle
- php-tcpdf
- rawstudio

Peter.
Revisiting the issue, can you test if separate+ can use other icc without using the bundled sRGB_type2.icc?
Comment 24 Dan Horák 2013-08-21 02:44:47 EDT
Peter, you should reduce the BuildRequires set substantially,

BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: gettext
BuildRequires: gimp-devel
BuildRequires: glib2-devel >= %{gimpver}
BuildRequires: glibc-devel
BuildRequires: gtk2-devel
BuildRequires: lcms-devel
BuildRequires: libtiff-devel
BuildRequires: libjpeg-devel
BuildRequires: pango-devel

=>

BuildRequires: gettext
BuildRequires: gimp-devel
BuildRequires: lcms-devel
BuildRequires: libtiff-devel
BuildRequires: libjpeg-devel

as gimp-devel will bring the rest automatically
Comment 25 Peter Hanecak 2013-08-27 16:42:44 EDT
(In reply to Luya Tshimbalanga from comment #23)
> (In reply to Matthias Runge from comment #22)
> > Sadly, your package does not build on rawhide.
> > 
> > DEBUG util.py:264:   --> pango-devel-1.35.0-2.fc20.x86_64
> > DEBUG util.py:264:  Error: libpng12-devel conflicts with
> > 2:libpng-devel-1.6.3-3.fc20.x86_64
> 
> It is a problem with rawhide itself rather than the package. I had similar
> issue with gdesklets.

So I do not need to change gimp-separate+ package to solve that. Is that right?

> > And what's the status with sRGB.cc, which was reported as bundled lib?
> To be fair with the submitter, it turned out other affected packages
> excluding colord have them:
> - entangle
> - moddle
> - php-tcpdf
> - rawstudio
> 
> Peter.
> Revisiting the issue, can you test if separate+ can use other icc without
> using the bundled sRGB_type2.icc?

I've checked the source and also the installed plug-in in Gimp and:

a) Source does not specifically link to any particular .ICC file. Only a Linux specific directory is compiled in: /usr/share/color/icc/ . And plug-in searches for profiles there.

b) When generating a separate layers, I can choose from profiles found in /usr/share/color/icc/ or in subdirectories.

So I guess I can drop sRGB_type2.icc from the package and say add 'Requires colord' to ensure some profile are installed.

Would that be OK?
Comment 26 Peter Hanecak 2013-08-27 16:45:30 EDT
Created attachment 791188 [details]
profile selection: sRGB.icc
Comment 27 Peter Hanecak 2013-08-27 16:46:02 EDT
Created attachment 791189 [details]
profile selection: sRGB_type2.icc
Comment 28 Peter Hanecak 2013-08-27 16:48:08 EDT
> b) When generating a separate layers, I can choose from profiles found in
> /usr/share/color/icc/ or in subdirectories.

See attached screenshots: dialog for Color Profile selection, once with 
sRGB_type2.icc selected (the one bundled for now with gimp-seperate+) and once with sRGB.icc selected (packages in colord).
Comment 29 Peter Hanecak 2013-08-27 17:05:00 EDT
(In reply to Dan Horák from comment #24)
> Peter, you should reduce the BuildRequires set substantially,
> 
> BuildRequires: atk-devel
> BuildRequires: cairo-devel
> BuildRequires: gettext
> BuildRequires: gimp-devel
> BuildRequires: glib2-devel >= %{gimpver}
> BuildRequires: glibc-devel
> BuildRequires: gtk2-devel
> BuildRequires: lcms-devel
> BuildRequires: libtiff-devel
> BuildRequires: libjpeg-devel
> BuildRequires: pango-devel
> 
> =>
> 
> BuildRequires: gettext
> BuildRequires: gimp-devel
> BuildRequires: lcms-devel
> BuildRequires: libtiff-devel
> BuildRequires: libjpeg-devel
> 
> as gimp-devel will bring the rest automatically

I've trimmed the list:

http://hanecak.fedorapeople.org/gimp-separate+.spec
http://hanecak.fedorapeople.org/gimp-separate+-0.5.8-7.fc18.src.rpm
Comment 30 Design Software 2013-08-27 17:38:04 EDT
(In reply to Peter Hanecak from comment #25)
> (In reply to Luya Tshimbalanga from comment #23)
> > (In reply to Matthias Runge from comment #22)
> > > Sadly, your package does not build on rawhide.
> > > 
> > > DEBUG util.py:264:   --> pango-devel-1.35.0-2.fc20.x86_64
> > > DEBUG util.py:264:  Error: libpng12-devel conflicts with
> > > 2:libpng-devel-1.6.3-3.fc20.x86_64
> > 
> > It is a problem with rawhide itself rather than the package. I had similar
> > issue with gdesklets.
> 
> So I do not need to change gimp-separate+ package to solve that. Is that
> right?

Correct, the above issue has nothing to do with your package. 


> I've checked the source and also the installed plug-in in Gimp and:
> 
> a) Source does not specifically link to any particular .ICC file. Only a
> Linux specific directory is compiled in: /usr/share/color/icc/ . And plug-in
> searches for profiles there.
> 
> b) When generating a separate layers, I can choose from profiles found in
> /usr/share/color/icc/ or in subdirectories.
> 
> So I guess I can drop sRGB_type2.icc from the package and say add 'Requires
> colord' to ensure some profile are installed.
> 
> Would that be OK?

You can drop the bundled sRGB_type2.icc from the package. If the plug-in searches in /usr/share/color/icc/ and subdirectory, then colord is not required (Notice sRGB from OpenICC). In that case, 'Requires color' is unneeded.

Other than these corrections, the package is ready for approval.
Comment 31 Peter Hanecak 2013-09-03 02:58:16 EDT
(In reply to Design Software from comment #30)
<shortened>
> You can drop the bundled sRGB_type2.icc from the package. If the plug-in
> searches in /usr/share/color/icc/ and subdirectory, then colord is not
> required (Notice sRGB from OpenICC). In that case, 'Requires color' is
> unneeded.
> 
> Other than these corrections, the package is ready for approval.

OK, done: I've removed sRGB_type2.icc from the package.

http://hanecak.fedorapeople.org/gimp-separate+.spec
http://hanecak.fedorapeople.org/gimp-separate+-0.5.8-8.fc18.src.rpm


I'm still looking for sponsor.
Comment 32 Rex Dieter 2013-10-17 09:28:59 EDT
I can possibly fill in as sponsor, hopefully will have time to look closer over the weekend (feel free to ping me if I miss that deadline).
Comment 33 Luya Tshimbalanga 2013-10-19 20:05:24 EDT
Approved. Package is ready for inclusion. Please add "design-sw" in InitialCC when requesting SCM (Source Code Management). Sorry for the delay.
Comment 34 Björn "besser82" Esser 2013-10-20 05:36:42 EDT
Just another remark:  Since the package is arched, you should change `Requires: gimp >= %{gimpver}`  -->  `Requires: gimp%{?_isa} >= %{gimpver}` since %{_gimppluginsdir} is an arch-dependent location.

The rest of the pkg LGTM.  :)

#####

@luya:  If you promise me to mentor and guide `hanecak`, I can push the "sponsor-me"-button for you.  ;)
Comment 35 Björn "besser82" Esser 2013-10-20 05:39:26 EDT
Another thing is the summary (but this is more a matter personal preference):  I'd suggest to change it to "Rudimentary CMYK support for The GIMP".

That would be shorter and provides all needed information.
Comment 36 Luya Tshimbalanga 2013-10-20 10:22:07 EDT
(In reply to Björn "besser82" Esser from comment #34)
> 
> @luya:  If you promise me to mentor and guide `hanecak`, I can push the
> "sponsor-me"-button for you.  ;)

I am ready to mention 'hanecak'. :)
Comment 37 Björn "besser82" Esser 2013-10-20 13:18:05 EDT
Allrighty!  I just sponsored Peter Hanecak `hanecak` to the packager-group.

If there's any problems feel free to contact my by email or irc (besser82, #fedora-devel), Peter and Luya.

Peter, use your new powers for good  :D
Comment 38 Luya Tshimbalanga 2013-10-21 13:49:25 EDT
bes(In reply to Björn "besser82" Esser from comment #37)
> Allrighty!  I just sponsored Peter Hanecak `hanecak` to the packager-group.
> 
> If there's any problems feel free to contact my by email or irc (besser82,
> #fedora-devel), Peter and Luya.
> 
> Peter, use your new powers for good  :D

Thank you for sponsoring Peter. Could you also remove the FE-NEEDSPONSOR blocker please to confirm the status?
Comment 39 Michael Schwendt 2013-10-21 14:11:35 EDT
Every Fedora packager has the "editbugs" permission to do that.
Comment 40 Peter Hanecak 2013-11-18 16:50:31 EST
(In reply to Björn "besser82" Esser from comment #34)
> Just another remark:  Since the package is arched, you should change
> `Requires: gimp >= %{gimpver}`  -->  `Requires: gimp%{?_isa} >= %{gimpver}`
> since %{_gimppluginsdir} is an arch-dependent location.

Done.

> The rest of the pkg LGTM.  :)

Thank you. I've got help. :)

(In reply to Björn "besser82" Esser from comment #35)

Done.

http://hanecak.fedorapeople.org/gimp-separate+.spec
http://hanecak.fedorapeople.org/gimp-separate+-0.5.8-9.fc19.src.rpm

Now continuing with SCM request, aiming for good. :)
Comment 41 Peter Hanecak 2013-11-18 17:38:53 EST
New Package SCM Request
=======================
Package Name:  gimp-separate+
Short Description: Rudimentary CMYK support for The GIMP
Owners: hanecak
Branches: f18 f19 f20 el6
InitialCC: design-sw
Comment 42 Dan Horák 2013-11-18 17:48:50 EST
setting back the review+ flag
Comment 43 Gwyn Ciesla 2013-11-19 07:58:23 EST
Git done (by process-git-requests).
Comment 44 Peter Hanecak 2013-12-01 17:23:31 EST
Package imported into Git, builds requested for all relevant branches.
Comment 45 Fedora Update System 2013-12-01 17:28:41 EST
gimp-separate+-0.5.8-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gimp-separate+-0.5.8-9.el6
Comment 46 Fedora Update System 2013-12-01 17:31:23 EST
gimp-separate+-0.5.8-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gimp-separate+-0.5.8-9.fc18
Comment 47 Fedora Update System 2013-12-01 17:32:52 EST
gimp-separate+-0.5.8-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gimp-separate+-0.5.8-9.fc19
Comment 48 Fedora Update System 2013-12-05 17:21:06 EST
gimp-separate+-0.5.8-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gimp-separate+-0.5.8-10.el6
Comment 49 Fedora Update System 2013-12-05 17:24:01 EST
gimp-separate+-0.5.8-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gimp-separate+-0.5.8-10.fc18
Comment 50 Fedora Update System 2013-12-05 17:25:02 EST
gimp-separate+-0.5.8-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gimp-separate+-0.5.8-10.fc19
Comment 51 Fedora Update System 2013-12-13 12:39:16 EST
gimp-separate+-0.5.8-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gimp-separate+-0.5.8-10.fc20
Comment 52 Fedora Update System 2013-12-22 12:35:24 EST
gimp-separate+-0.5.8-10.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 53 Fedora Update System 2013-12-22 22:40:52 EST
gimp-separate+-0.5.8-10.fc19 has been pushed to the Fedora 19 stable repository.
Comment 54 Fedora Update System 2013-12-22 22:45:56 EST
gimp-separate+-0.5.8-10.fc20 has been pushed to the Fedora 20 stable repository.
Comment 55 Fedora Update System 2013-12-22 22:51:26 EST
gimp-separate+-0.5.8-10.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.